#include <stdio.h>

int main(int argc, char* argv[])
{
	int c,msb,lsb;

	int i = 0;

	while((c = fgetc(stdin)) != EOF)
	{
		if (i == 0) printf("\tNIBHEX\t");

		lsb = (c & 0xF) + '0';
		if (lsb > '9') lsb += 'A' - ('9' + 1);

		msb = (c >> 4) + '0';
		if (msb > '9') msb += 'A' - ('9' + 1);

		printf("%c%c", lsb, msb);

		i = (i + 1) % 16;
		if (i == 0) printf("\n");
	}

	if (i != 0) printf("\n");

	return 0;
}